KUBERNETES(1)

NAME

kubectl describe - Show details of a specific resource or group of resources

SYNOPSIS

kubectl describe [OPTIONS]

DESCRIPTION

Show details of a specific resource or group of resources.

This command joins many API calls together to form a detailed description of a given resource or group of resources.

$ kubectl describe RESOURCE NAME_PREFIX

will first check for an exact match on RESOURCE and NAME_PREFIX. If no such resource exists, it will output details for every resource that has a name prefixed with NAME_PREFIX

Possible resources include pods (po), replicationcontrollers (rc), services (svc), nodes (no), events (ev), componentstatuses (cs), limitRanges (limits), persistentVolumes (pv), persistentVolumeClaims (pvc), resourceQuotas (quota) or secrets.

OPTIONS

-h, --help=false
    help for describe

-l, --selector=""
    Selector (label query) to filter on

OPTIONS INHERITED FROM PARENT COMMANDS

--alsologtostderr=false
    log to standard error as well as files

--api-version=""
    The API version to use when talking to the server

--certificate-authority=""
    Path to a cert. file for the certificate authority.

--client-certificate=""
    Path to a client key file for TLS.

--client-key=""
    Path to a client key file for TLS.

--cluster=""
    The name of the kubeconfig cluster to use

--context=""
    The name of the kubeconfig context to use

--insecure-skip-tls-verify=false
    If true, the server's certificate will not be checked for validity. This will make your HTTPS connections insecure.

--kubeconfig=""
    Path to the kubeconfig file to use for CLI requests.

--log-backtrace-at=:0
    when logging hits line file:N, emit a stack trace

--log-dir=""
    If non-empty, write log files in this directory

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--logtostderr=true
    log to standard error instead of files

--match-server-version=false
    Require server version to match client version

--namespace=""
    If present, the namespace scope for this CLI request.

--password=""
    Password for basic authentication to the API server.

-s, --server=""
    The address and port of the Kubernetes API server

--stderrthreshold=2
    logs at or above this threshold go to stderr

--token=""
    Bearer token for authentication to the API server.

--user=""
    The name of the kubeconfig user to use

--username=""
    Username for basic authentication to the API server.

--v=0
    log level for V logs

--validate=false
    If true, use a schema to validate the input before sending it

--vmodule=
    comma-separated list of pattern=N settings for file-filtered logging

EXAMPLE

    // Describe a node
    $ kubectl describe nodes kubernetes-minion-emt8.c.myproject.internal
    // Describe a pod
    $ kubectl describe pods/nginx
    // Describe pods by label name=myLabel
    $ kubectl describe po -l name=myLabel
    // Describe all pods managed by the 'frontend' replication controller (rc-created pods
    // get the name of the rc as a prefix in the pod the name).
    $ kubectl describe pods frontend

SEE ALSO

kubectl(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!